Package com.databricks.jdbc.api.impl

## Class ArrowResultChunk

- java.lang.Object
- - com.databricks.jdbc.api.impl.ArrowResultChunk

    public class ArrowResultChunk
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ArrowResultChunk.ArrowResultChunkIterator`

### Field Summary

Fields
`List<List<org.apache.arrow.vector.ValueVector>>` `recordBatchList`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getArrowDataFromInputStream​(InputStream inputStream)`
`ArrowResultChunk.ArrowResultChunkIterator` `getChunkIterator()`
`String` `getErrorMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### recordBatchList

    public List<List<org.apache.arrow.vector.ValueVector>> recordBatchList

### Method Detail

#### getErrorMessage

    public String getErrorMessage()

#### getArrowDataFromInputStream

    public void getArrowDataFromInputStream​(InputStream inputStream)
                                     throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### getChunkIterator

    public ArrowResultChunk.ArrowResultChunkIterator getChunkIterator()